<div class="element">
    <div class="element-headline">
        Angebot erstellen
    </div>
    <div class="element-content">
        <%
            if(request.getAttribute("formError") != null) {
        %>
                <br /><span style="color:red;">${formError}</span>
        <%
            }
        %>
        
        <%
            if(request.getAttribute("formSuccess") != null) {
        %>
                <br /><span style="color:green;">${formSuccess}</span>
        <%
            }
        %>
        
        <form action="index.jsp?site=create_offer" method="POST">
            <label for="offer_name">Angebot-Name</label><br />
            <input <% if(request.getAttribute("offer_check_correct") != null) { %>readonly<% } %> type="text" width="100%" value="${offer_name}" name="offer_name" maxlength="255" /><br />
            
            <label for="offer_mobile">HandyNr.</label><br />
            <input type="text" <% if(request.getAttribute("offer_check_correct") != null) { %>readonly<% } %> width="100%" value="${offer_mobile}" maxlength="22" name="offer_mobile" maxlength="255" /><br />
            
            <label for="offer_type">Angebotstyp</label><br />
            <select <% if(request.getAttribute("offer_check_correct") != null) { %>onfocus="this.defaultIndex=this.selectedIndex;" onchange="this.selectedIndex=this.defaultIndex;"<% } %> name="offer_type">
                <option value="search" <% if(request.getAttribute("offer_type") != null) { if(request.getAttribute("offer_type").equals("search")) { %>selected<% } } %>>Suche</option>
                <option value="offer" <% if(request.getAttribute("offer_type") != null) { if(request.getAttribute("offer_type").equals("offer")) { %>selected<% } } %>>Biete</option>
            </select><br />
            
            <label for="offer_description">Angebotsbeschreibung</label><br />
            <textarea <% if(request.getAttribute("offer_check_correct") != null) { %>readonly<% } %> style="width:95%;height:200px;" name="offer_description">${offer_description}</textarea>
            
            <input type="submit" name="offer_check" <% if(request.getAttribute("offer_check_correct") != null) { %>style="display: none;"<% } %> value="Eingaben prfen &raquo;" />
            <input type="submit" name="offer_send" <% if(request.getAttribute("offer_check_correct") == null) { %>style="display: none;"<% } %> value="Abschicken &raquo;" />
            <input type="submit" name="offer_back" <% if(request.getAttribute("offer_check_correct") == null) { %>style="display: none;"<% } %> value="Daten bearbeiten &raquo;" />
        </form>
    </div>
</div>