package Model;

/**
 *
 * @author Yannic Schnetz
 */
public class Offer implements Comparable {
    
    private int id;
    private String name;
    private String mobile;
    private String description;
    private String type;
    private User user;
    
    public Offer() {
        
    }
    
    public void setId(int id) {
        this.id = id;
    }
    
    public int getId() {
        return this.id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    @Override
    public int compareTo(Object o) {
        Offer e2 = (Offer) o;
        
        if(e2.getId() > this.getId()) {
            return 1;
        }
        
        if(e2.getId() < this.getId()) {
            return -1;
        }
        
        return 0;
    }
}
