<%
    request.setCharacterEncoding("ISO-8859-1");
    response.setContentType("text/html; charset=ISO-8859-1");
%>
<%@page import="Model.User"%>
<%@page session="true" %>
<%@page contentType="text/html;charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>

<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" href="css/style.css" type="text/css" />
        <%
            String sitename = request.getAttribute("site").toString().substring(0, 1).toUpperCase() + request.getAttribute("site").toString().substring(1);
        %>
        <title><%= sitename%> - Freiburger Suchen / Bieten Forum!</title>
    </head>
    <body>
        <div id="content">
            <div style="float:right;margin-top:10px;"><img src="./img/freiburg_logo.png" /></div>
            <h1>Suchen und Bieten in Freiburg</h1>
            <%
                String filename = "/WEB-INF/view/index/" + request.getAttribute("site").toString() + ".index.jsp";
            %>
            <div id="elements">
                <div class="blockleft">
                    <jsp:include page="<%= filename%>" flush="true" />
                </div>
                <div class="blockright">
                    <div class="element">
                        <%
                            if (session.getAttribute("user_login") == null) {
                        %>
                        <div class="element-headline">
                            Login
                        </div>
                        <div class="element-content">
                            <form action="index.jsp" method="POST">
                                <input type="text" class="login-input" placeholder="E-Mail eingeben ..." name="textbox_mail" maxlength="255" />
                                <input type="password" class="login-input" placeholder="Passwort eingeben ..." name="password_login" maxlength="255" />
                                <input type="submit" style="width:100%;" name="submit_login" value="Login &raquo;" />
                            </form>
                            
                            <ul style="list-style:none;width:94%;padding:0;">
                                <li><a class="nav-link" href="index.jsp?site=register">Account erstellen &raquo;</a></li>
                                <li><a class="nav-link" href="index.jsp?site=home">Angebotsbersicht &raquo;</a></li>
                            </ul>

                            <%
                                if(request.getAttribute("loginError") != null) {
                            %>
                            <br /><span style="color:red;">${loginError}</span>
                            <%
                                }
                            %>

                            <%
                                if(request.getAttribute("loginSuccess") != null) {
                            %>
                            <br /><span style="color:green;">${loginSuccess}</span>
                            <%
                                }
                            %>

                            <br clear="all" />
                        </div>
                        <% } else { %>
                        <div class="element-headline">
                            Navigation
                        </div>
                        <div class="element-content">
                            Willkommen, <%=((User) session.getAttribute("user_login")).getEmail() %>!
                            
                            <ul style="list-style:none;width:94%;padding:0;">
                                <li><a class="nav-link" href="index.jsp?site=home">Angebotsbersicht &raquo;</a></li>
                                <li><a class="nav-link" href="index.jsp?site=create_offer">Angebot erstellen &raquo;</a></li>
                                <li><a class="nav-link" href="index.jsp?site=logout">Ausloggen &raquo;</a></li>
                            </ul>

                            <br clear="all" />
                        </div>
                        <% } %>
                        <div class="element-headline-mid">
                            Suche
                        </div>
                        <div class="element-content">
                            <form action="index.jsp" method="POST">
                                <input type="text" class="login-input" placeholder="Suchen ..." name="textbox_search" maxlength="255" />
                                <input type="submit" style="width:100%;" name="submit_login" value="Suchen &raquo;" />
                            </form>

                            <br clear="all" />
                        </div>
                    </div>
                </div>

                <br clear="all" />
            </div>
        </div>
    </body>
</html>
